package model.template;

import config.subConfig.TemplateShadowConfig;
import model.Point;

import java.util.List;

/**
 * @author duh
 * @create 2018/7/21 15:16
 * @email duh@elab-plus.com
 **/
public class TemplateShadow {
    private Template template;
    private int x;
    private int y;
    private int width;
    private int direct;
    private int radis;
    private List<Point> points;

    public TemplateShadow(Template template, TemplateShadowConfig config) {
        this.template = template;
        if(null != config){
            x = config.getX();
            y = config.getY();
            width = config.getWidth();
            direct = config.getDirect();
            radis = config.getRadis();
        }
    }

    public Template getTemplate() {
        return template;
    }

    public void setTemplate(Template template) {
        this.template = template;
    }

    public int getX() {
        return x;
    }

    public void setX(int x) {
        this.x = x;
    }

    public int getY() {
        return y;
    }

    public void setY(int y) {
        this.y = y;
    }

    public int getWidth() {
        return width;
    }

    public void setWidth(int width) {
        this.width = width;
    }

    public int getDirect() {
        return direct;
    }

    public void setDirect(int direct) {
        this.direct = direct;
    }

    public int getRadis() {
        return radis;
    }

    public void setRadis(int radis) {
        this.radis = radis;
    }

    public List<Point> getPoints() {
        return points;
    }

    public void setPoints(List<Point> points) {
        this.points = points;
    }
}
